@import "../../../core/variables";

.container {
  border-top: 1px solid $color-gray-500;
}

.label {
  display: flex;
  align-items: center;
  width: 100%;
  padding: $indent-xmd 0;

  cursor: pointer;

  &:hover,
  &:focus {
    .title {
      color: $color-blue;
    }

    .icon {
      color: $color-gray-700;
    }
  }
}

.isActive {
  .icon {
    transform: rotate(90deg);
  }
}

.title {
  flex-grow: 1;
  color: $color-gray-900;
  text-align: left;
}

.icon {
  flex-shrink: 0;
  color: $color-gray-600;

  transition: transform .3s ease;
}

.content {
  margin-top: $indent-xxs;
  padding-bottom: $indent-xmd;

  &:not(&Active) {
    display: none;
  }
}